# Uses of Class
javafx.stage.Screen

Packages that use Screen
Package
Description
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of Screen in javafx.stage

Methods in javafx.stage that return Screen
Modifier and Type
Method
Description
`static Screen`
Screen.`getPrimary()`
The primary `Screen`.
Methods in javafx.stage that return types with arguments of type Screen
Modifier and Type
Method
Description
`static ObservableList<Screen>`
Screen.`getScreens()`
The observable list of currently available `Screens`.
`static ObservableList<Screen>`
Screen.`getScreensForRectangle(double x, double y, double width, double height)`
Returns a ObservableList of `Screens` that intersects the provided rectangle.
`static ObservableList<Screen>`
Screen.`getScreensForRectangle(Rectangle2D r)`
Returns a ObservableList of `Screens` that intersects the provided rectangle.